From df41bdc8de65ed4a10582c1ee92bbf970436f42a Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Laur=C3=A9line=20Gu=C3=A9rin?= <zebuline@entrouvert.com>
Date: Fri, 18 Mar 2022 09:46:37 +0100
Subject: [PATCH 02/65] misc: add __init__ file to tests dir (#62099)

---
 tests/__init__.py                |   0
 tests/conftest.py                |   3 +-
 tests/test_actesweb.py           |   4 +-
 tests/test_address.py            |  12 +--
 tests/test_adict.py              |  12 +--
 tests/test_airquality.py         |   6 +-
 tests/test_api.py                |   2 +-
 tests/test_api_access.py         |   2 +-
 tests/test_api_entreprise.py     |   2 +-
 tests/test_api_particulier.py    |   4 +-
 tests/test_arcgis.py             |  24 +++--
 tests/test_arpege_ecp.py         |  46 ++++-----
 tests/test_astech.py             |  46 +++++----
 tests/test_astregs.py            |   4 +-
 tests/test_atos_genesys.py       |  62 +++++------
 tests/test_availability.py       |   4 +-
 tests/test_base_adresse.py       |  64 ++++++------
 tests/test_caluire_axel.py       |   4 +-
 tests/test_cartads_cs.py         |   4 +-
 tests/test_cityweb.py            |   4 +-
 tests/test_clicrdv.py            |   2 +-
 tests/test_cmis.py               |   2 +-
 tests/test_cryptor.py            |  14 +--
 tests/test_csv_datasource.py     |   2 +-
 tests/test_dpark.py              |   2 +-
 tests/test_esirius.py            |   8 +-
 tests/test_esirius_swi.py        |   4 +-
 tests/test_feeds.py              |   8 +-
 tests/test_franceconnect_data.py |   6 +-
 tests/test_gdema.py              |  24 ++---
 tests/test_generic_endpoint.py   |  20 ++--
 tests/test_gesbac.py             |   2 +-
 tests/test_greco.py              |   8 +-
 tests/test_grenoble_gru.py       |   6 +-
 tests/test_isere_ens.py          |  60 +++++------
 tests/test_jobs.py               |  16 +--
 tests/test_jsonresponse.py       |   2 +-
 tests/test_lille_kimoce.py       |  32 +++---
 tests/test_lille_urban_card.py   |  32 +++---
 tests/test_maelis.py             |  36 +++----
 tests/test_mdel.py               |   4 +-
 tests/test_mdel_ddpacs.py        |   4 +-
 tests/test_mdph13.py             |   4 +-
 tests/test_misc.py               |   4 +-
 tests/test_okina.py              |  66 ++++++------
 tests/test_opendatasoft.py       |  40 +++----
 tests/test_opengis.py            |  82 ++++++++-------
 tests/test_phonecalls.py         |  14 +--
 tests/test_photon.py             |  22 ++--
 tests/test_plone_restapi.py      |  98 +++++++++---------
 tests/test_proxylogger.py        |  14 +--
 tests/test_requests.py           |   4 +-
 tests/test_rsa13.py              |   4 +-
 tests/test_sector.py             |   6 +-
 tests/test_sigerly.py            |   6 +-
 tests/test_sms.py                |  34 +++---
 tests/test_solis.py              | 172 ++++++++++++++++---------------
 tests/test_solis_afi_mss.py      |   8 +-
 tests/test_strasbourg_eu.py      |   8 +-
 tests/test_tcl.py                |   8 +-
 tests/test_teamnet_axel.py       |   4 +-
 tests/test_toulouse_axel.py      |   4 +-
 tests/test_toulouse_smart.py     |   8 +-
 tests/test_vivaticket.py         |  68 ++++++------
 tests/wcs/test_sp_fr.py          |   4 +-
 65 files changed, 657 insertions(+), 628 deletions(-)
 create mode 100644 tests/__init__.py

diff --git a/tests/conftest.py b/tests/conftest.py
index c307ec5c..0b5ca739 100644
--- a/tests/conftest.py
+++ b/tests/conftest.py
@@ -7,7 +7,8 @@ from django.core.cache import cache
 from django.core.files import File
 from django.utils import six
 from httmock import HTTMock, remember_called, response, urlmatch
-from utils import make_resource
+
+from tests.utils import make_resource
 
 if six.PY2:
     collect_ignore = ['wcs/']
diff --git a/tests/test_actesweb.py b/tests/test_actesweb.py
index 3c03e186..b22954bb 100644
--- a/tests/test_actesweb.py
+++ b/tests/test_actesweb.py
@@ -23,9 +23,9 @@ import shutil
 import stat
 
 import pytest
-import utils
 from django.utils import six
 
+import tests.utils
 from passerelle.apps.actesweb.models import ActesWeb
 
 
@@ -41,7 +41,7 @@ def get_file_from_test_base_dir(filename):
 
 @pytest.fixture
 def actesweb(db):
-    return utils.make_resource(ActesWeb, **{'slug': 'test'})
+    return tests.utils.make_resource(ActesWeb, **{'slug': 'test'})
 
 
 PAYLOAD = [
diff --git a/tests/test_address.py b/tests/test_address.py
index 1c483ef4..841ed63c 100644
--- a/tests/test_address.py
+++ b/tests/test_address.py
@@ -18,10 +18,10 @@ import json
 
 import mock
 import pytest
-import utils
 from django.core.files import File
 from django.utils.six import StringIO
 
+import tests.utils
 from passerelle.apps.base_adresse.models import BaseAdresse
 from passerelle.apps.sector.models import SectorResource
 
@@ -216,7 +216,7 @@ CSV = """street_id,street_name,parity,min_housenumber,max_housenumber,sector_id,
 
 @pytest.fixture
 def sector(db):
-    return utils.setup_access_rights(
+    return tests.utils.setup_access_rights(
         SectorResource.objects.create(
             slug='ecole',
             title='Secteur scolaire',
@@ -228,14 +228,14 @@ def sector(db):
 
 @pytest.fixture
 def base_adresse(db):
-    return utils.setup_access_rights(BaseAdresse.objects.create(slug='base-adresse', zipcode='75114'))
+    return tests.utils.setup_access_rights(BaseAdresse.objects.create(slug='base-adresse', zipcode='75114'))
 
 
 @mock.patch('passerelle.utils.Request.get')
 def test_sectorization(mocked_get, app, base_adresse, sector):
     assert base_adresse.sectors.count() == 0
-    mocked_get.return_value = utils.FakedResponse(content=json.dumps(BAN), status_code=200)
-    url = utils.generic_endpoint_url('base-adresse', 'search', slug=base_adresse.slug)
+    mocked_get.return_value = tests.utils.FakedResponse(content=json.dumps(BAN), status_code=200)
+    url = tests.utils.generic_endpoint_url('base-adresse', 'search', slug=base_adresse.slug)
     addresses = app.get(url, params={'q': 'foo'}, status=200).json
     assert len(addresses) == 8
     for address in addresses:
@@ -267,7 +267,7 @@ def test_sectorization(mocked_get, app, base_adresse, sector):
     assert addresses[7]['sectors'] == {}
     assert addresses[7]['sectorization_error'] == 'missing street_id in address'
 
-    url = utils.generic_endpoint_url('base-adresse', 'sectors', slug=base_adresse.slug)
+    url = tests.utils.generic_endpoint_url('base-adresse', 'sectors', slug=base_adresse.slug)
     for params in (None, {'id': 'ecole'}, {'q': 'scolaire'}):
         sectors = app.get(url, params=params, status=200).json
         assert sectors['err'] == 0
diff --git a/tests/test_adict.py b/tests/test_adict.py
index 2c2da5ca..94224801 100644
--- a/tests/test_adict.py
+++ b/tests/test_adict.py
@@ -2,8 +2,8 @@ import json
 
 import mock
 import pytest
-import utils
 
+import tests.utils
 from passerelle.contrib.adict.models import Adict
 
 FAKE_FEATURE_INFO = json.dumps(
@@ -28,7 +28,7 @@ FAKE_FEATURE_INFO = json.dumps(
 
 @pytest.fixture
 def connector(db):
-    return utils.setup_access_rights(
+    return tests.utils.setup_access_rights(
         Adict.objects.create(
             slug='test',
             service_root_url='http://adict.example.net/',
@@ -40,9 +40,9 @@ def connector(db):
 
 @mock.patch('passerelle.utils.Request.get')
 def test_feature_info(mocked_get, app, connector):
-    endpoint = utils.generic_endpoint_url('adict', 'feature_info', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('adict', 'feature_info', slug=connector.slug)
     assert endpoint == '/adict/test/feature_info'
-    mocked_get.return_value = utils.FakedResponse(content=FAKE_FEATURE_INFO, status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content=FAKE_FEATURE_INFO, status_code=200)
     resp = app.get(endpoint, params={'lat': '48.570472877', 'lon': '7.75659804'})
     assert mocked_get.call_args[0][0] == 'http://adict.example.net/api/v1.0/secteurs'
     assert mocked_get.call_args[1]['params']['x'] == '7.75659804'
@@ -52,9 +52,9 @@ def test_feature_info(mocked_get, app, connector):
 
 @mock.patch('passerelle.utils.Request.get')
 def test_no_feature_info(mocked_get, app, connector):
-    endpoint = utils.generic_endpoint_url('adict', 'feature_info', slug=connector.slug)
+    endpoint = tests.utils.generic_endpoint_url('adict', 'feature_info', slug=connector.slug)
     assert endpoint == '/adict/test/feature_info'
-    mocked_get.return_value = utils.FakedResponse(content=json.dumps({'features': []}), status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content=json.dumps({'features': []}), status_code=200)
     resp = app.get(endpoint, params={'lat': '48.570472877', 'lon': '7.75659804'})
     assert resp.json['err'] == 1
     assert resp.json['err_msg'] == 'not found'
diff --git a/tests/test_airquality.py b/tests/test_airquality.py
index 22634562..ce09ffc0 100644
--- a/tests/test_airquality.py
+++ b/tests/test_airquality.py
@@ -2,9 +2,9 @@
 
 import freezegun
 import pytest
-import utils
 from httmock import HTTMock, response
 
+import tests.utils
 from passerelle.apps.airquality.models import AirQuality
 
 SAMPLE_RESPONSE = {
@@ -69,7 +69,7 @@ def mocked_http(url, request):
 
 @freezegun.freeze_time('2020-12-21')
 def test_airquality_details(app, airquality):
-    endpoint = utils.generic_endpoint_url('airquality', 'details', slug=airquality.slug)
+    endpoint = tests.utils.generic_endpoint_url('airquality', 'details', slug=airquality.slug)
     assert endpoint == '/airquality/atmo/details'
     with HTTMock(mocked_http):
         resp = app.get(endpoint + '/fr/lyon/', status=200)
@@ -78,5 +78,5 @@ def test_airquality_details(app, airquality):
 
 
 def test_airquality_details_unknown_city(app, airquality):
-    endpoint = utils.generic_endpoint_url('airquality', 'details', slug=airquality.slug)
+    endpoint = tests.utils.generic_endpoint_url('airquality', 'details', slug=airquality.slug)
     resp = app.get(endpoint + '/fr/paris/', status=404)
diff --git a/tests/test_api.py b/tests/test_api.py
index 51bf84cb..8b8eb90c 100644
--- a/tests/test_api.py
+++ b/tests/test_api.py
@@ -19,10 +19,10 @@ import pytest
 from django.contrib.contenttypes.models import ContentType
 from django.test import override_settings
 from django.urls import reverse
-from test_manager import login
 
 from passerelle.apps.ovh.models import OVHSMSGateway
 from passerelle.base.models import AccessRight, ApiUser, Job
+from tests.test_manager import login
 
 pytestmark = pytest.mark.django_db
 
diff --git a/tests/test_api_access.py b/tests/test_api_access.py
index d700492c..e3bd5417 100644
--- a/tests/test_api_access.py
+++ b/tests/test_api_access.py
@@ -2,12 +2,12 @@ import re
 import sys
 
 import pytest
-import utils
 from django.contrib.auth.models import User
 from django.contrib.contenttypes.models import ContentType
 from django.test import override_settings
 from django.urls import reverse
 
+import tests.utils
 from passerelle.apps.oxyd.models import OxydSMSGateway
 from passerelle.base import signature
 from passerelle.base.models import AccessRight, ApiUser, ResourceLog
diff --git a/tests/test_api_entreprise.py b/tests/test_api_entreprise.py
index 236c95cc..cec6e5e1 100644
--- a/tests/test_api_entreprise.py
+++ b/tests/test_api_entreprise.py
@@ -21,9 +21,9 @@ import pytest
 import requests
 from django.utils import timezone
 from httmock import HTTMock, response, urlmatch
-from utils import FakedResponse, make_resource
 
 from passerelle.apps.api_entreprise.models import APIEntreprise
+from tests.utils import FakedResponse, make_resource
 
 ETABLISSEMENTS_RESPONSE = {
     "etablissement": {
diff --git a/tests/test_api_particulier.py b/tests/test_api_particulier.py
index 24ed99e3..6ce7f7fd 100644
--- a/tests/test_api_particulier.py
+++ b/tests/test_api_particulier.py
@@ -22,11 +22,11 @@ import pytest
 import requests
 from django.urls import reverse
 from httmock import HTTMock, response, urlmatch
-from test_manager import login
-from utils import endpoint_get, make_resource
 
 from passerelle.apps.api_particulier.models import APIParticulier
 from passerelle.base.models import ResourceLog
+from tests.test_manager import login
+from tests.utils import endpoint_get, make_resource
 
 SVAIR_RESPONSE = {
     "declarant1": {
diff --git a/tests/test_arcgis.py b/tests/test_arcgis.py
index 8dfc3121..95c9ccde 100644
--- a/tests/test_arcgis.py
+++ b/tests/test_arcgis.py
@@ -5,15 +5,15 @@ import json
 
 import mock
 import pytest
-import utils
 from django.contrib.auth.models import User
 from django.contrib.contenttypes.models import ContentType
 from django.core.exceptions import ValidationError
-from test_manager import login
 
+import tests.utils
 from passerelle.apps.arcgis.models import ArcGIS, Query, SqlFormatter, validate_where
 from passerelle.base.models import AccessRight, ApiUser
 from passerelle.utils import import_site
+from tests.test_manager import login
 
 pytestmark = pytest.mark.django_db
 
@@ -89,12 +89,12 @@ def arcgis():
 
 
 def test_arcgis_mapservice_query(app, arcgis):
-    endpoint = utils.generic_endpoint_url('arcgis', 'mapservice-query', slug=arcgis.slug)
+    endpoint = tests.utils.generic_endpoint_url('arcgis', 'mapservice-query', slug=arcgis.slug)
     assert endpoint == '/arcgis/test/mapservice-query'
     params = {'folder': 'fold', 'service': 'serv', 'layer': '1'}
 
     with mock.patch('passerelle.utils.Request.get') as requests_get:
-        requests_get.return_value = utils.FakedResponse(content=STATES, status_code=200)
+        requests_get.return_value = tests.utils.FakedResponse(content=STATES, status_code=200)
 
         resp = app.get(endpoint, params=params, status=403)
         assert requests_get.call_count == 0
@@ -241,7 +241,7 @@ def test_arcgis_mapservice_query(app, arcgis):
 
     # call errors
     with mock.patch('passerelle.utils.Request.get') as requests_get:
-        requests_get.return_value = utils.FakedResponse(content=STATES, status_code=200)
+        requests_get.return_value = tests.utils.FakedResponse(content=STATES, status_code=200)
         resp = app.get(endpoint, params={}, status=400)
         assert requests_get.call_count == 0
         assert resp.json['err'] == 1
@@ -343,7 +343,9 @@ def test_query_q_method(arcgis, query, rf):
         'meta': {},
     }
     with mock.patch('passerelle.utils.Request.get') as requests_get:
-        requests_get.return_value = utils.FakedResponse(content=json.dumps(arcgis_response), status_code=200)
+        requests_get.return_value = tests.utils.FakedResponse(
+            content=json.dumps(arcgis_response), status_code=200
+        )
         assert query.q(rf.get('/', data={'adress': "AVENUE D'ANNAM"}), full=True) == {
             "data": [
                 {
@@ -370,11 +372,11 @@ def test_query_q_method(arcgis, query, rf):
 
 
 def test_q_endpoint(arcgis, query, app):
-    endpoint = utils.generic_endpoint_url('arcgis', 'q/adresses/', slug=arcgis.slug)
+    endpoint = tests.utils.generic_endpoint_url('arcgis', 'q/adresses/', slug=arcgis.slug)
     assert endpoint == '/arcgis/test/q/adresses/'
 
     with mock.patch('passerelle.utils.Request.get') as requests_get:
-        requests_get.return_value = utils.FakedResponse(content=STATES, status_code=200)
+        requests_get.return_value = tests.utils.FakedResponse(content=STATES, status_code=200)
 
         resp = app.get(endpoint, params={}, status=403)
         assert requests_get.call_count == 0
@@ -406,7 +408,7 @@ def test_tile_endpoint(arcgis, app):
     assert arcgis.base_url == 'https://arcgis.example.net/'
 
     with mock.patch('passerelle.utils.Request.get') as requests_get:
-        requests_get.return_value = utils.FakedResponse(content='', status_code=200)
+        requests_get.return_value = tests.utils.FakedResponse(content='', status_code=200)
 
         resp = app.get('/arcgis/test/tile/layer1/13/4258/2991.png')
         assert requests_get.call_count == 1
@@ -419,7 +421,7 @@ def test_tile_endpoint(arcgis, app):
 
     # test layer and folders
     with mock.patch('passerelle.utils.Request.get') as requests_get:
-        requests_get.return_value = utils.FakedResponse(content='', status_code=200)
+        requests_get.return_value = tests.utils.FakedResponse(content='', status_code=200)
 
         resp = app.get('/arcgis/test/tile/layer1/foo/bar/13/4258/2991.png')
         assert requests_get.call_count == 1
@@ -434,7 +436,7 @@ def test_tile_endpoint(arcgis, app):
     arcgis.base_url = 'https://arcgis.example.net'
     arcgis.save()
     with mock.patch('passerelle.utils.Request.get') as requests_get:
-        requests_get.return_value = utils.FakedResponse(content='', status_code=200)
+        requests_get.return_value = tests.utils.FakedResponse(content='', status_code=200)
 
         resp = app.get('/arcgis/test/tile/layer1/13/4258/2991.png')
         assert requests_get.call_count == 1
diff --git a/tests/test_arpege_ecp.py b/tests/test_arpege_ecp.py
index 500184d8..0975714f 100644
--- a/tests/test_arpege_ecp.py
+++ b/tests/test_arpege_ecp.py
@@ -4,9 +4,9 @@ import json
 
 import mock
 import pytest
-import utils
 from django.urls import reverse
 
+import tests.utils
 from passerelle.apps.arpege_ecp.models import ArpegeECP
 from passerelle.utils.jsonresponse import APIError
 
@@ -65,12 +65,12 @@ def connector(db):
     resource = ArpegeECP.objects.create(
         slug='test', webservice_base_url='http://arpege.net', hawk_auth_id='id', hawk_auth_key='secret'
     )
-    return utils.setup_access_rights(resource)
+    return tests.utils.setup_access_rights(resource)
 
 
 @mock.patch('passerelle.utils.Request.get')
 def test_check_status(mocked_get, connector):
-    mocked_get.return_value = utils.FakedResponse(content=FAKE_HELLO_RESPONSE, status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content=FAKE_HELLO_RESPONSE, status_code=200)
     resp = connector.check_status()
     assert resp['data'] == u'InteropAPI v1 (c) Arpège 2017'
 
@@ -79,34 +79,34 @@ def test_check_status(mocked_get, connector):
 def test_check_status(mocked_get, connector):
     hello_response = json.loads(FAKE_HELLO_RESPONSE)
     del hello_response['Data']
-    mocked_get.return_value = utils.FakedResponse(content=json.dumps(hello_response), status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content=json.dumps(hello_response), status_code=200)
     with pytest.raises(Exception) as error:
         resp = connector.check_status()
     assert str(error.value) == 'Invalid credentials'
 
 
 def test_get_access_token(connector):
-    with utils.mock_url(response=FAKE_LOGIN_OIDC_RESPONSE):
+    with tests.utils.mock_url(response=FAKE_LOGIN_OIDC_RESPONSE):
         token = connector.get_access_token('nameid')
     assert token == '0f86353f2d87b8b78aaaacc2ecc763e287ded44f773289a5e336546a251718b3'
 
-    with utils.mock_url(response=FAKE_LOGIN_OIDC_RESPONSE, status_code=404):
+    with tests.utils.mock_url(response=FAKE_LOGIN_OIDC_RESPONSE, status_code=404):
         with pytest.raises(APIError) as error:
             token = connector.get_access_token('nameid')
 
     assert ' 404 ' in str(error.value)
 
-    with utils.mock_url(response="content", status_code=200):
+    with tests.utils.mock_url(response="content", status_code=200):
         with pytest.raises(APIError) as error:
             token = connector.get_access_token('nameid')
     assert 'no JSON content' in str(error.value)
 
-    with utils.mock_url(response="content", status_code=200):
+    with tests.utils.mock_url(response="content", status_code=200):
         with pytest.raises(APIError) as error:
             token = connector.get_access_token('nameid')
     assert 'no JSON content' in str(error.value)
 
-    with utils.mock_url(
+    with tests.utils.mock_url(
         response='{"IsSuccess": false, "CodErreur": "Fail", "LibErreur": "Auth FAIL"}', status_code=200
     ):
         with pytest.raises(APIError) as error:
@@ -128,8 +128,8 @@ def test_get_user_forms(mocked_post, mocked_get, app, connector):
     )
     assert endpoint == '/arpege-ecp/test/api/users/nameid/forms'
 
-    mocked_post.return_value = utils.FakedResponse(content=FAKE_LOGIN_OIDC_RESPONSE, status_code=200)
-    mocked_get.return_value = utils.FakedResponse(content=FAKE_USER_DEMANDS_RESPONSE, status_code=200)
+    mocked_post.return_value = tests.utils.FakedResponse(content=FAKE_LOGIN_OIDC_RESPONSE, status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content=FAKE_USER_DEMANDS_RESPONSE, status_code=200)
     resp = app.get(endpoint)
     result = resp.json
     assert resp.json['data']
@@ -160,8 +160,8 @@ def test_get_user_forms_failure(mocked_post, mocked_get, app, connector):
         },
     )
 
-    mocked_post.return_value = utils.FakedResponse(content=FAKE_LOGIN_OIDC_RESPONSE, status_code=200)
-    mocked_get.return_value = utils.FakedResponse(
+    mocked_post.return_value = tests.utils.FakedResponse(content=FAKE_LOGIN_OIDC_RESPONSE, status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(
         content='{"IsSuccess": false, "CodErreur": "Fail", "LibErreur": "Failed to get demands"}',
         status_code=200,
     )
@@ -182,8 +182,8 @@ def test_get_user_forms_failure_404(app, connector):
         },
     )
 
-    with utils.mock_url(url='/LoginParSubOIDC', response=FAKE_LOGIN_OIDC_RESPONSE):
-        with utils.mock_url(url='/DemandesUsager', status_code=404):
+    with tests.utils.mock_url(url='/LoginParSubOIDC', response=FAKE_LOGIN_OIDC_RESPONSE):
+        with tests.utils.mock_url(url='/DemandesUsager', status_code=404):
             resp = app.get(endpoint)
             result = resp.json
             assert result['err'] == 1
@@ -204,8 +204,8 @@ def test_get_user_forms_failure_no_json(mocked_post, mocked_get, app, connector)
         },
     )
 
-    mocked_post.return_value = utils.FakedResponse(content=FAKE_LOGIN_OIDC_RESPONSE, status_code=200)
-    mocked_get.return_value = utils.FakedResponse(content='content', status_code=200)
+    mocked_post.return_value = tests.utils.FakedResponse(content=FAKE_LOGIN_OIDC_RESPONSE, status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content='content', status_code=200)
     resp = app.get(endpoint)
     result = resp.json
     assert result['err'] == 1
@@ -228,8 +228,8 @@ def test_get_user_forms_failure_no_json(mocked_post, mocked_get, app, connector)
     demands_response = json.loads(FAKE_USER_DEMANDS_RESPONSE)
     demands_response['Data']['results'][0]['data_administratives']['date_depot'] = None
 
-    mocked_post.return_value = utils.FakedResponse(content=FAKE_LOGIN_OIDC_RESPONSE, status_code=200)
-    mocked_get.return_value = utils.FakedResponse(content=json.dumps(demands_response), status_code=200)
+    mocked_post.return_value = tests.utils.FakedResponse(content=FAKE_LOGIN_OIDC_RESPONSE, status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content=json.dumps(demands_response), status_code=200)
     resp = app.get(endpoint)
     result = resp.json
     assert result['err'] == 1
@@ -251,8 +251,8 @@ def test_get_user_forms_failure_no_token(mocked_post, mocked_get, app, connector
 
     token_response = json.loads(FAKE_LOGIN_OIDC_RESPONSE)
     del token_response['Data']['AccessToken']
-    mocked_post.return_value = utils.FakedResponse(content=json.dumps(token_response), status_code=200)
-    mocked_get.return_value = utils.FakedResponse(content='content', status_code=200)
+    mocked_post.return_value = tests.utils.FakedResponse(content=json.dumps(token_response), status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content='content', status_code=200)
     resp = app.get(endpoint)
     result = resp.json
     assert result['err'] == 1
@@ -274,8 +274,8 @@ def test_get_user_forms_failure_wrong_token(mocked_post, mocked_get, app, connec
 
     token_response = json.loads(FAKE_LOGIN_OIDC_RESPONSE)
     token_response['Data']['AccessToken'] = None
-    mocked_post.return_value = utils.FakedResponse(content=json.dumps(token_response), status_code=200)
-    mocked_get.return_value = utils.FakedResponse(content='content', status_code=200)
+    mocked_post.return_value = tests.utils.FakedResponse(content=json.dumps(token_response), status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content='content', status_code=200)
     resp = app.get(endpoint)
     result = resp.json
     assert result['err'] == 1
